This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 848794 - Terminal windows with multiple tabs closed without confirmation
Terminal windows with multiple tabs closed without confirmation
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gnome-terminal (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On: 683723
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-16 08:28 EDT by Amit Shah
Modified: 2012-09-26 19:57 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 683723
Environment:
Last Closed: 2012-09-26 19:57:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Amit Shah 2012-08-16 08:28:30 EDT
+++ This bug was initially created as a clone of Bug #683723 +++

Description of problem:
A bad Alt+F4 in a gnome-terminal window with multiple tabs open results in the terminal window being closed.  I'd expect a confirmation dialog if there are multiple tabs open.
Comment 1 Behdad Esfahbod 2012-08-16 08:40:17 EDT
I kinda agree.  Though, note that we close the window only if none of the terminals have anything other than the shell running in the foreground.

At any rate, this should be reported upstream if anything.
Comment 2 Matthias Clasen 2012-09-26 19:57:39 EDT
As Behdad says, please file this upstream in https://bugzilla.gnome.org/enter_bug.cgi?product=gnome-terminal

Note You need to log in before you can comment on or make changes to this bug.